<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>JS exercise 2</title>
</head>

<body>
    <script>
        /*
        Напишите объект patient, описывающий пациента медицинской клиники. У объекта должны быть такие свойства: 
        - имя;
        - фамилия;
        - дата рождения: строка в формате "дд.мм.гггг";
        - визиты: массив строк формата "дд.мм.гггг", в которых записаны даты визита пациентов.

        У объекта должно быть 2 метода:
            - addVisit(date) - добавляет переданную дату в конец списка визитов;
            - getLastVisitDays() - возвращает количество дней, прошедших с момента последнего визита.

          Для проверки работы кода: 
          - выведите в консоль все визиты после создания объекта;
          - добавьте еще один визит в список;
          - выведите в консоль количество визитов после добавления еще одного;
          - выведите в консоль количество дней, прошедших с момента последнего визита.    
        */

        const patient = {
            name: 'Emma',
            lastName: 'Smith',
            dateBirth: '11.02.1990',
            visits: ['30.11.2019', '10.01.2020', '25.02.2020'],
            addVisit(date) {
                this.visits.push(date)
            },
            getLastVisitDays() {
                const now = new Date()
                const lastVisit = this.visits[this.visits.length - 1]
                const lastVisitDay = lastVisit.slice(0, 2)
                let lastVisitMonth = lastVisit.slice(3, 5)
                lastVisitMonth--
                const lastVisitYear = lastVisit.slice(6)
                const lastVisitDate = new Date(lastVisitYear, lastVisitMonth, lastVisitDay)
                const days = Math.floor((now - lastVisitDate) / 86400000)
                return days
            }
        }
        console.log(patient.visits)
        patient.addVisit('04.03.2020')
        console.log(patient.visits.length)
        console.log(patient.getLastVisitDays())

    </script>
</body>

</html>